summaryrefslogtreecommitdiffstats
path: root/libraries/motif
diff options
context:
space:
mode:
Diffstat (limited to 'libraries/motif')
-rw-r--r--libraries/motif/README13
-rw-r--r--libraries/motif/motif.SlackBuild93
-rw-r--r--libraries/motif/motif.info10
-rw-r--r--libraries/motif/slack-desc19
4 files changed, 135 insertions, 0 deletions
diff --git a/libraries/motif/README b/libraries/motif/README
new file mode 100644
index 0000000000..994cd2c7da
--- /dev/null
+++ b/libraries/motif/README
@@ -0,0 +1,13 @@
+Motif is the freely available source code distribution for the Motif
+user interface component toolkit. Motif is built on top of the standard
+X Toolkit(Xt) and X11 libraries.
+
+This the first motif version that is released under LGPL v2.1.
+
+Postscript and PDF Documents (users guides and reference manuals) could be
+downloaded at: http://www.opengroup.org/openmotif/docs/
+
+This conflicts with the lesstif package that comes with Slackware; in other
+words, only one should be installed at any given time. You will need to
+recompile xpdf and any lesstif-dependent packages if you encounter problems
+running them after installing motif.
diff --git a/libraries/motif/motif.SlackBuild b/libraries/motif/motif.SlackBuild
new file mode 100644
index 0000000000..72184164c5
--- /dev/null
+++ b/libraries/motif/motif.SlackBuild
@@ -0,0 +1,93 @@
+#!/bin/sh
+
+# Slackware build script for motif
+# Written by Vincent Batts, vbatts@batts.mine.nu
+# Modified by Zhu Qun-Ying, zhu.qunying@gmail.com for motif
+# Modified by SlackBuilds.org
+
+PRGNAM=motif
+VERSION=2.3.4
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION-src.tgz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \; || exit 1
+
+./autogen.sh
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --enable-themes \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+# Let's not conflict with some already installed stuff in other packages
+mv $PKG/usr/man/man3/Shell.3 $PKG/usr/man/man3/Shell.motif.3
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ INSTALL* BUGREPORT ChangeLog COPYING README RELNOTES RELEASE \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/motif/motif.info b/libraries/motif/motif.info
new file mode 100644
index 0000000000..d1a304af31
--- /dev/null
+++ b/libraries/motif/motif.info
@@ -0,0 +1,10 @@
+PRGNAM="motif"
+VERSION="2.3.4"
+HOMEPAGE="http://motif.ics.com/motif"
+DOWNLOAD="http://download.sourceforge.net/motif/motif-2.3.4-src.tgz"
+MD5SUM="9f90c87a3d3b57b3391d294a69a2ccf9"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Zhu Qun-Ying"
+EMAIL="zhu.qunying@gmail.com"
diff --git a/libraries/motif/slack-desc b/libraries/motif/slack-desc
new file mode 100644
index 0000000000..7cac7dbfbf
--- /dev/null
+++ b/libraries/motif/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+motif: Motif (X libraries)
+motif:
+motif: Motif is the freely available source code distribution for the
+motif: Motif user interface component toolkit. Motif is built on top
+motif: of the standard X Toolkit(Xt) and X11 libraries.
+motif:
+motif: Postscript and PDF Documents (users guides and reference manuals)
+motif: could be downloaded at: http://www.opengroup.org/openmotif/docs/
+motif:
+motif: Homepage: http://motif.ics.com/motif
+motif: